{$G+ $N+}
unit ASMB;
                         Interface
Function ReadKey:char;
{Procedure Delay(del:word);}
Function KeyPressed:boolean;

Implementation
Function ReadKey:char;assembler;
asm
  mov ah, 08h
  int 21h
end;{ReadKey}
{Procedure Delay(del:word);assembler;
var
  tics,newtics : longint;
asm
  push 40h
  pop es
  mov ax, es:[6ch]
  mov word ptr tics, ax
  mov ax, es:[6eh]
  mov word ptr tics+2, ax

end;}
Function KeyPressed;assembler;
asm
  mov ah, 1
  int 16h
  mov al, 0
  jz @@2
  mov al, 1
@@2:
end;
end.